*, *:before, *:after {
    box-sizing: border-box;
}

html, body {
    font-family: 'Poppins', 'Open Sans', sans-serif;
    margin: 0;
    padding: 0;
    height: 100%;
    color: #21262d;
    background: #f6f6f6;
}

h1 {
    font-size: 24px;
    font-weight: 700;
}

h2 {
    font-size: 18px;
    font-weight: 500;
}

h3 {
    font-size: 18px;
    font-weight: 400;
    border: 0px;
    background: #e0e0e0;
    color: #212121;
    padding: 8px 8px 8px 16px;    
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 12px 12px 0 0;
}

form {
    margin: 0;
}

h4 {
    font-size: 18px;
    font-weight: 400;
}

h5 {
    font-size: 14px;
    font-weight: 400;
}

hr {
    border: 1px solid #B73E30;
    border-radius: 5px;
}

h1, h2, h3, h4, h5 {
    margin: 0;
}

span {
    font-size: 11px;
}

#evento {
    padding: 16px;
    background: #fff;
    margin-bottom: 16px;
    border-radius: 12px;
    border: 1px solid rgba(0, 0, 0, 0.05);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);

}

#report {
    border: 1px solid #dddddd;
    padding: 16px;
    margin-bottom: 32px;
    border-radius: 0 0 12px 12px;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.07), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
    background: #ffffff;
}

#riepilogo {
    padding-bottom: 16px;
}

#andamento {
    display: flex;
    padding-bottom: 5px;
}

.tg-header-right img,
#andamento img {
    width: 36px;
    height: 33px;
    padding-right: 8px;
    padding-top: 3px;
}

.tg-overlay-container {
    height: 70px;
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    padding: 0 16px 0 16px;
    background-image: url(https://www.ticketgate.it/wp-content/uploads/geometric-bg-overlay-01.jpg), linear-gradient(130deg, #0F0000 20%, #fe5b48 100%);
    background-size: cover;
    background-blend-mode: color-dodge;
}

.tg-header-container {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.tg-logo {
    width: 194px;
    /* height: 35px; */
    display: block;
}


.tg-header-right {
    display: flex;
    align-items: center;
    gap: 12px;
}



#customers {
/*  font-family: Arial, Helvetica, sans-serif; */
  border-collapse: collapse;
  width: 100%;
}

#customers td, #customers th {
  border: 1px solid #ddd;
  padding: 8px; 
}

#customers td {
  font-size: 13px;
}

/* #customers tr:nth-child(even){background-color: #f2f2f2;} */

#customers tr:nth-child(odd) {
    background-color: #ffffff; /* Dispari: Bianco */
}

#customers tr:nth-child(even) {
    background-color: #e0e0e0; /* Pari: Grigino */
}


/* #customers tr:hover {background-color: #ddd;} */

#customers th {
  padding-top: 8px;
  padding-bottom: 8px;
  text-align: left;
  background-color: #979797;
  color: white;
  border: 1px solid #979797;
  font-size: 13px;
}

#contenitore-inside {
    /* max-width: 1140px; */
    margin: auto;
    padding: 16px 16px 64px 16px ;
    background: #f6f6f6;
}

#whitelist-inside {
    max-width: 1140px;
    margin: auto;
    padding: 15px;
    padding-bottom: 60px;
    padding-top: 35px;
}

.button {
  border-radius: 100px;
  background-color: #8bc34a;
  border: none;
  color: #fff;
  padding: 0.5rem 1.5rem 0.5rem 1.5rem;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 11px;
  margin-right: 5px;
  font-weight: 600;
  letter-spacing: 0.025em;
  transition-duration: 0.2s;
  text-transform: uppercase;
}

.button:hover {
  background-color: #92cd4d;
}


#myInput {
  background-image: url('https://www.ticketgate.it/wp-content/uploads/searchicon.png');
  background-position: 10px 10px;
  background-repeat: no-repeat;
  width: 100%;
  font-size: 16px;
  padding: 12px 20px 12px 40px;
  border: 1px solid #ddd;
  margin-bottom: 12px;
  border-radius: 10px;
}

.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
}

#btnExport {
  border-radius: 100px;
  background-color: #21262D;
  border: none;
  color: #fff;
  padding: 0.5rem 1.5rem 0.5rem 1.5rem;
  margin-top: 15px;
  font-size: 11px;
  letter-spacing: 0.025em;
  text-transform: uppercase;
}

#btnExport:hover {
 background-color: #979797;
}

div#totalsearch {
    margin-bottom: 10px;
    color: #d94948;
    font-size: 14px;
    font-weight: 800;
}


.chart-container {
    width: 100%;
    min-height: 300px;
    height: 30vh;
    margin: 0;
    padding-bottom: 15px;
}

 .toggleLink {
    display: block;
    text-decoration: none;
    cursor: pointer;
    padding: 16px;
    text-align: right;
    color: #676767;
    font-size: 13px; 
}

 .toggleLink:hover {
   color: #f44336;
}

#riepilogo {
    display: flex;
    flex-direction: column;
    padding-bottom: 16px;
    border-radius: 8px;
    width: fit-content;    /* Il div si stringe attorno al contenuto */
}

.riga-dato {
    display: grid;
    grid-template-columns: 135px 1fr; /* 140px è la larghezza del "tab" */
    align-items: center;
}

.etichetta {
    font-size: 16px;
    color: #21262d;
    font-weight: 400;
}

.valore-2,
.valore {
    font-size: 18px;
    font-weight: 700;
}

.valore {
    color: #21262d;
}

.valore-2 {
    color: #6dab24;
}


